package main

import "fmt"

func isLeapYear(year int) bool {
	if y := year; y%400 == 0 || (y%4 == 0 && y%100 != 0) {
		return true
	}
	return false
}

func main() {
	fmt.Println(isLeapYear(2000)) // true
	fmt.Println(isLeapYear(1900)) // false
	fmt.Println(isLeapYear(2024)) // true
	fmt.Println(isLeapYear(2023)) // false
}
